### Name

> XmHTMLGetVersion, XmHTMLVersion, XmHTMLVERSION_STRING - return version information about the XmHTML Widget Library.

### Synopsis

> int XmHTMLGetVersion(void)
> #define XmHTMLVersion
> #define XmHTMLVERSION_STRING

### Description

> The above functions/macros all return version information about the XmHTML Widget Library, and allow one to perform Library version checks between precompiled binaries and shared libraries by comparing the return value of the XmHTMLGetVersion function with the value of the XmHTMLVersion macro.

> The XmHTML Widget Library itself does not perform these checks.

### Return Values

> XmHTMLGetVersion
>   A function that teturns the current version number of the Library. This is a hard-coded value and is set to the value of the XmHTMLVersion macro when the Library is compiled;

> XmHTMLVersion
>   A macro that returns the current version number of the Library. It is defined in the header file <XmHTML.h>;

> XmHTMLVERSION_STRING
>   A macro that returns a string of the form:

>   `XmHTML Version X.X.XX (C)Ripley Software Development`

>   where `X.X.XX` is the version number of the Library in major-minor-revision format. It is defined in the header file <XmHTML.h>.

### See Also

> XmHTML(3X)

XmHTML, October 7, 1997